Skip to main content
GET
/
models
/
{model_id}
Get model details
curl --request GET \
  --url https://api.orcarouter.ai/v1/models/{model_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "openai/gpt-4o-mini",
  "created": 123,
  "owned_by": "openai",
  "supported_endpoint_types": [
    "openai"
  ],
  "context_length": 123,
  "max_completion_tokens": 123,
  "architecture": {
    "input_modalities": [
      "text",
      "image"
    ],
    "output_modalities": [
      "text"
    ]
  }
}

Authorizations

Authorization
string
header
required

OrcaRouter API keys look like sk-orca-.... Pass them in the Authorization: Bearer sk-orca-... header.

Path Parameters

model_id
string
required

Response

200 - application/json

OK

id
string
Example:

"openai/gpt-4o-mini"

object
enum<string>
Available options:
model
created
integer
owned_by
string
Example:

"openai"

supported_endpoint_types
string[]
Example:
["openai"]
context_length
integer

Maximum context window in tokens. Present only when the administrator has populated capability metadata for this model; otherwise omitted.

max_completion_tokens
integer

Maximum tokens the model can return per response. Present only when admin metadata exists; otherwise omitted.

architecture
object

Modality matrix for the model. Present only when admin metadata exists; otherwise omitted.